Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.app.analyst
Class EncogAnalyst

    java.lang.Object
      org.encog.app.analyst.EncogAnalyst

    public class EncogAnalyst

extends Object

The Encog Analyst runs Encog Analyst Script files (EGA) to perform many common machine learning tasks. It is very much like Maven or ANT for Encog. Encog analyst files are made up of configuration information and tasks. Tasks are series of commands that make use of the configuration information to process CSV files.

Field Summary
`static String` | `TASK_FULL` The name of the task that SHOULD everything.
`static int` | `UPDATE_TIME` The update time for a download.

Constructor Summary
`EncogAnalyst()` Construct the Encog analyst.

Method Summary
`void` | `addAnalystListener(AnalystListener listener)` Add a listener.
`void` | `addCommand(Cmd cmd)` Add a command.
`void` | `analyze(File file, boolean headers, AnalystFileFormat format)` Analyze the specified file.
`int` | `determineInputCount()` Determine the input count.
`int` | `determineInputFieldCount()` Determine the input field count, the fields are higher-level than columns.
`int` | `determineOutputCount()` Determine the output count, this is the number of output columns needed.
`int` | `determineOutputFieldCount()` Determine the number of output fields.
`int` | `determineTotalColumns()`
`int` | `determineTotalInputFieldCount()` Determine the total input field count, minus ignored fields.
`int` | `determineUniqueColumns()` Determine how many unique columns there are.
`int` | `determineUniqueInputFieldCount()` Determine the unique input field count.
`int` | `determineUniqueOutputFieldCount()` Determine the unique output field count.
`void` | `download()` Download a raw file from the Internet.
`void` | `executeTask(AnalystTask task)` Execute a task.
`void` | `executeTask(String name)` Execute a task.
`int` | `getLagDepth()`
`int` | `getLeadDepth()`
`List<AnalystListener>` | `getListeners()`
`int` | `getMaxIteration()`
`MLMethod` | `getMethod()`
`Map<String,String>` | `getRevertData()`
`AnalystScript` | `getScript()`
`boolean` | `isTimeSeries()`
`void` | `load(File file)` Load the specified script file.
`void` | `load(InputStream stream)` Load from an input stream.
`void` | `load(String filename)` Load from the specified filename.
`void` | `removeAnalystListener(AnalystListener listener)` Remove a listener.
`void` | `reportTraining(MLTrain train)` Report training.
`void` | `reportTrainingBegin()` Report that training has begun.
`void` | `reportTrainingEnd()` Report that training has ended.
`void` | `save(File file)` Save the script to a file.
`void` | `save(OutputStream stream)` Save the script to a stream.
`void` | `save(String filename)` Save the script to a filename.
`void` | `setCurrentQuantTask(QuantTask task)` Set the current task.
`void` | `setMaxIteration(int i)` Set the max iterations.
`void` | `setMethod(MLMethod method)`
`boolean` | `shouldStopCommand()` Should the current command be stopped.
`void` | `stopCurrentTask()` Stop the current task.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TASK_FULL

    public static final String TASK_FULL

  The name of the task that SHOULD everything.

  See Also:
    Constant Field Values

### UPDATE_TIME

    public static final int UPDATE_TIME

  The update time for a download.

  See Also:
    Constant Field Values

Constructor Detail

### EncogAnalyst

    public EncogAnalyst()

  Construct the Encog analyst.

Method Detail

### addAnalystListener

    public final void addAnalystListener(AnalystListener listener)

  Add a listener.

  Parameters:
    `listener` - The listener to add.

### addCommand

    public final void addCommand(Cmd cmd)

  Add a command.

  Parameters:
    `cmd` - The command to add.

### analyze

    public final void analyze(File file,
                              boolean headers,
                              AnalystFileFormat format)

  Analyze the specified file. Used by the wizard.

  Parameters:
    `file` - The file to analyze.
    `headers` - True if headers are present.
    `format` - The format of the file.

### determineInputCount

    public final int determineInputCount()

  Determine the input count. This is the actual number of columns.

  Returns:
    The input count.

### determineInputFieldCount

    public final int determineInputFieldCount()

  Determine the input field count, the fields are higher-level than columns.

  Returns:
    The input field count.

### determineOutputCount

    public final int determineOutputCount()

  Determine the output count, this is the number of output columns needed.

  Returns:
    The output count.

### determineOutputFieldCount

    public final int determineOutputFieldCount()

  Determine the number of output fields. Fields are higher level than columns.

  Returns:
    The output field count.

### determineUniqueColumns

    public final int determineUniqueColumns()

  Determine how many unique columns there are. Timeslices are not counted multiple times.

  Returns:
    The number of columns.

### determineUniqueInputFieldCount

    public final int determineUniqueInputFieldCount()

  Determine the unique input field count. Timeslices are not counted multiple times.

  Returns:
    The number of unique input fields.

### determineTotalInputFieldCount

    public final int determineTotalInputFieldCount()

  Determine the total input field count, minus ignored fields.

  Returns:
    The number of unique input fields.

### determineUniqueOutputFieldCount

    public final int determineUniqueOutputFieldCount()

  Determine the unique output field count. Do not count timeslices multiple times.

  Returns:
    The unique output field count.

### download

    public final void download()

  Download a raw file from the Internet.

### executeTask

    public final void executeTask(AnalystTask task)

  Execute a task.

  Parameters:
    `task` - The task to execute.

### executeTask

    public final void executeTask(String name)

  Execute a task.

  Parameters:
    `name` - The name of the task to execute.

### getLagDepth

    public final int getLagDepth()

  Returns:
    The lag depth.

### getLeadDepth

    public final int getLeadDepth()

  Returns:
    The lead depth.

### getListeners

    public final List<AnalystListener> getListeners()

  Returns:
    the listeners

### getMaxIteration

    public final int getMaxIteration()

  Returns:
    The max iterations.

### getRevertData

    public final Map<String,String> getRevertData()

  Returns:
    The reverted data.

### getScript

    public final AnalystScript getScript()

  Returns:
    the script

### load

    public final void load(File file)

  Load the specified script file.

  Parameters:
    `file` - The file to load.

### load

    public final void load(InputStream stream)

  Load from an input stream.

  Parameters:
    `stream` - The stream to load from.

### load

    public final void load(String filename)

  Load from the specified filename.

  Parameters:
    `filename` - The filename to load from.

### removeAnalystListener

    public final void removeAnalystListener(AnalystListener listener)

  Remove a listener.

  Parameters:
    `listener` - The listener to remove.

### reportTraining

    public final void reportTraining(MLTrain train)

  Report training.

  Parameters:
    `train` - The trainer.

### reportTrainingBegin

    public final void reportTrainingBegin()

  Report that training has begun.

### reportTrainingEnd

    public final void reportTrainingEnd()

  Report that training has ended.

### save

    public final void save(File file)

  Save the script to a file.

  Parameters:
    `file` - The file to save to.

### save

    public final void save(OutputStream stream)

  Save the script to a stream.

  Parameters:
    `stream` - The stream to save to.

### save

    public final void save(String filename)

  Save the script to a filename.

  Parameters:
    `filename` - The filename to save to.

### setCurrentQuantTask

    public final void setCurrentQuantTask(QuantTask task)

  Set the current task.

  Parameters:
    `task` - The current task.

### setMaxIteration

    public final void setMaxIteration(int i)

  Set the max iterations.

  Parameters:
    `i` - The value for max iterations.

### shouldStopCommand

    public final boolean shouldStopCommand()

  Should the current command be stopped.

  Returns:
    True if the current command should be stopped.

### stopCurrentTask

    public final void stopCurrentTask()

  Stop the current task.

### isTimeSeries

    public final boolean isTimeSeries()

  Returns:
    True, if any field has a time slice.

### getMethod

    public MLMethod getMethod()

  Returns:
    the method

### setMethod

    public void setMethod(MLMethod method)

  Parameters:
    `method` - the method to set

### determineTotalColumns

    public int determineTotalColumns()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.